import { GiteaHttp } from '../../../util/http/gitea';
import { Datasource } from '../datasource';
import type { DigestConfig, GetReleasesConfig, ReleaseResult } from '../types';
export declare class GiteaReleasesDatasource extends Datasource {
    static readonly id = "gitea-releases";
    http: GiteaHttp;
    static readonly defaultRegistryUrls: string[];
    private static readonly cacheNamespace;
    constructor();
    getReleases({ registryUrl, packageName: repo, }: GetReleasesConfig): Promise<ReleaseResult | null>;
    getTagCommit(registryUrl: string | undefined, repo: string, tag: string): Promise<string | null>;
    getDigest({ packageName: repo, registryUrl }: DigestConfig, newValue?: string): Promise<string | null>;
}
